﻿
-- clcInfo_DestructionWarlock templates.lua
-- same as with the options, add this in a loader function
clcInfo.optionsCMLoaders[#(clcInfo.optionsCMLoaders) + 1] = function()
    -- don't load if class is wrong
    local _, class = UnitClass("player")
    if class ~= "WARLOCK" then return end
    
    local mod = clcInfo_Options.templates
    local defs = mod.defs
    local format = string.format
    
    -- destruction
    --------------------------------------------------------------------------------
    -- Destruction Rotation
    mod:Add("icons", defs.CLASS, "Destruction Rotation Current Ability", 'return IconDestruction1()')
    mod:Add("icons", defs.CLASS, "Destruction Rotation Next Ability", 'return IconDestruction2()')
    -- Cooldown tracking for abilities
    mod:Add("icons", defs.CLASS, "Shadowflame in range of target", 'return IconShadowflame()')
    mod:Add("icons", defs.CLASS, "Shadowburn is available", 'return IconShadowburn()')
    mod:Add("icons", defs.CLASS, "Demon Soul is available", 'return IconDemonsoul()')
    mod:Add("icons", defs.CLASS, "Fel Armor is not cast", 'return IconFelarmor()')
end
